设为首页收藏本站

晓东CAD家园-论坛

 找回密码
 立即注册

QQ登录

只需一步,快速开始

扫一扫,访问微社区

查看: 2260|回复: 43

[研讨] (bpoly pt ss '(1 0))

[复制链接]

已领礼包: 604个

财富等级: 财运亨通

发表于 2014-11-21 08:29:47 | 显示全部楼层 |阅读模式

马上注册,结交更多好友,享用更多功能,让你轻松玩转社区。

您需要 登录 才可以下载或查看,没有帐号?立即注册

x
本帖最后由 /db_自贡黄明儒_ 于 2016-11-7 07:48 编辑

(bpoly pt ss '(1 0)),哪个能解释一下'(1 0)是什么意思?
;对bpoly深度挖掘,可能还有其它用处。

;;判断点在封闭图形内 自贡黄明儒 2014.11.22
;;(HH_PtInCurve (getpoint) (ssget))
;;(HH_PtInCurve (getpoint) (car(entsel)))
游客,如果您要查看本帖隐藏内容请回复





1.png
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!

已领礼包: 604个

财富等级: 财运亨通

 楼主| 发表于 2014-11-21 11:34:42 | 显示全部楼层
利用它是不是可以判断点是否在曲线内外
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

点击这里给我发消息

已领礼包: 1259个

财富等级: 财源广进

发表于 2014-11-21 11:43:47 | 显示全部楼层
你从哪查到的这个用法?

点评

http://bbs.mjtd.com/forum.php?mod=viewthread&tid=101654&page=1#pid588444  详情 回复 发表于 2014-11-21 11:52
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

已领礼包: 604个

财富等级: 财运亨通

 楼主| 发表于 2014-11-21 11:52:13 | 显示全部楼层
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

点击这里给我发消息

已领礼包: 1259个

财富等级: 财源广进

发表于 2014-11-21 11:57:37 | 显示全部楼层
/db_自贡黄明儒_ 发表于 2014-11-21 11:52
http://bbs.mjtd.com/forum.php?mod=viewthread&tid=101654&page=1#pid588444

CAD2008
命令: (bpoly (getpoint) (ssget) '(1 0))
选择对象: 指定对角点: 找到 1 个
选择对象:
无效的选项关键字。
<图元名: 7ef998b0>

另外当有 spline ellipse 时候会出现选项的!

命令: (bpoly (getpoint) (ssget) '(1.0 0.0))
选择对象: 指定对角点: 找到 3 个
选择对象:
无效的选项关键字
<图元名: 7ef99918>
无法导出多段线边界。是否创建面域?? <Y>
已提取 1 个环。

已创建 1 个面域。
BOUNDARY 已创建 1 个面域

点评

2008确实很多情况提示 无效的关键字,这点很烦。  详情 回复 发表于 2014-11-22 13:06
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

已领礼包: 604个

财富等级: 财运亨通

 楼主| 发表于 2014-11-21 12:11:04 | 显示全部楼层
;;判断点是否在曲线内
;;(HH:PtInCurve (getpoint) (car (entsel)))
(defun HH:PtInCurve (p Curve / E0)
  (setq e0 (entlast))
  (VL-CATCH-ALL-APPLY 'bpoly (list p (ssadd Curve (ssadd)) '(1 0)))
  (cond        ((equal e0 (entlast)) nil)
        (T (entdel (entlast)) T)
  )
)

点评

黄老师用闭合spline试试  详情 回复 发表于 2014-11-21 12:44
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

已领礼包: 264个

财富等级: 日进斗金

发表于 2014-11-21 12:44:27 来自手机 | 显示全部楼层
/db_自贡黄明儒_ 发表于 2014-11-21 12:11
;;判断点是否在曲线内
;;(HHtInCurve (getpoint) (car (entsel)))
(defun HHtInCurve (p Curve / E0) ...

黄老师用闭合spline试试

点评

;;判断点是否在曲线内 ;;(HHtInCurve (getpoint) (car (entsel))) (defun HHtInCurve (p Curve / E0) (setvar "nomutt" 1) (setq e0 (entlast)) (VL-CATCH-ALL-APPLY 'bpoly (list p (ssadd Curve  详情 回复 发表于 2014-11-21 12:48
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

已领礼包: 604个

财富等级: 财运亨通

 楼主| 发表于 2014-11-21 12:48:03 | 显示全部楼层
本帖最后由 /db_自贡黄明儒_ 于 2014-11-21 12:53 编辑

iLisp 发表于 2014-11-21 12:44
黄老师用闭合spline试试
  1. ;;判断点是否在曲线内
  2. ;;(HH_PtInCurve (getpoint) (car (entsel)))
  3. (defun HH_PtInCurve (p Curve / E0)
  4.   (setvar "nomutt" 1)
  5.   (setq e0 (entlast))
  6.   (VL-CATCH-ALL-APPLY 'bpoly (list p (ssadd Curve (ssadd)) '(1 0)))
  7.   (cond((equal (assoc 0 (entget Curve)) '(0 . "SPLINE")) (apply 'command (list ""))))
  8.   (setvar "nomutt" 0)
  9.   (cond        ((equal e0 (entlast)) nil)
  10.         (T (entdel (entlast)) T)
  11.   )  
  12. )


1.png

点评

忘了说还有整椭圆  详情 回复 发表于 2014-11-21 13:07
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

已领礼包: 264个

财富等级: 日进斗金

发表于 2014-11-21 13:07:29 来自手机 | 显示全部楼层
/db_自贡黄明儒_ 发表于 2014-11-21 12:48

忘了说还有整椭圆

点评

都还行,选择集也行。  详情 回复 发表于 2014-11-21 13:21
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

已领礼包: 604个

财富等级: 财运亨通

 楼主| 发表于 2014-11-21 13:21:21 | 显示全部楼层
iLisp 发表于 2014-11-21 13:07
忘了说还有整椭圆

都还行,选择集也行。
  1. ;;判断点是否在曲线内
  2. ;;(HH:PtInCurve (getpoint) (car (entsel)))
  3. (defun HH:PtInCurve (p Curve / E0)
  4.   (setvar "nomutt" 1)
  5.   (setq e0 (entlast))
  6.   (VL-CATCH-ALL-APPLY 'bpoly (list p (ssadd Curve (ssadd)) '(1 0)))
  7.   (cond((wcmatch (cdr(assoc 0 (entget Curve))) "SPLINE,ELLIPSE") (apply 'command (list ""))))
  8.   (setvar "nomutt" 0)
  9.   (cond        ((equal e0 (entlast)) nil)
  10.         (T (entdel (entlast)) T)
  11.   )  
  12. )

点评

既然生成新实体最好把*error*也定义到里面  详情 回复 发表于 2014-11-22 11:49
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

已领礼包: 264个

财富等级: 日进斗金

发表于 2014-11-22 11:49:29 来自手机 | 显示全部楼层
/db_自贡黄明儒_ 发表于 2014-11-21 13:21
都还行,选择集也行。

既然生成新实体最好把*error*也定义到里面

点评

见1楼,*error*有什么用呢?  详情 回复 发表于 2014-11-22 12:52
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

已领礼包: 604个

财富等级: 财运亨通

 楼主| 发表于 2014-11-22 12:52:03 | 显示全部楼层
iLisp 发表于 2014-11-22 11:49
既然生成新实体最好把*error*也定义到里面

见1楼,*error*有什么用呢?

点评

万一运行中中断时不留下生成实体(如果有)  详情 回复 发表于 2014-11-22 12:54
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

已领礼包: 264个

财富等级: 日进斗金

发表于 2014-11-22 12:54:55 来自手机 | 显示全部楼层
/db_自贡黄明儒_ 发表于 2014-11-22 12:52
见1楼,*error*有什么用呢?

万一运行中中断时不留下生成实体(如果有)

点评

如果有,你来不及按ESC中断的。  详情 回复 发表于 2014-11-22 12:58
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

已领礼包: 604个

财富等级: 财运亨通

 楼主| 发表于 2014-11-22 12:58:52 | 显示全部楼层
iLisp 发表于 2014-11-22 12:54
万一运行中中断时不留下生成实体(如果有)

如果有,你来不及按ESC中断的。
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

已领礼包: 40个

财富等级: 招财进宝

发表于 2014-11-22 13:06:09 | 显示全部楼层
st788796 发表于 2014-11-21 11:57
CAD2008
命令: (bpoly (getpoint) (ssget) '(1 0))
选择对象: 指定对角点: 找到 1 个

2008确实很多情况提示 无效的关键字,这点很烦。
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

QQ|申请友链|小黑屋|手机版|Archiver|辽公网安备|晓东CAD家园 ( 辽ICP备15016793号 )  

GMT+8, 2019-8-22 08:45 , Processed in 0.252332 second(s), 61 queries , Gzip On, WinCache On.

Powered by Discuz! X3.4

© 2001-2017 Comsenz Inc.

快速回复 返回顶部 返回列表